Skip to content
Download OpenAPI description
Languages
Servers
Integration environment
https://payment-integration.ratepay.com
Production environment
https://payment.ratepay.com
Operations
Operations

Retrieve a list of session records based on supplied date

Request

Security
Bearer Authentication
Query
createdDatestring(date)required

A date, formatted as yyyy-MM-dd , when the records have been created

curl -i -X GET \
  'https://payment-integration.ratepay.com/pps/api/v1/session-record?createdDate=2019-08-24' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of session records returned successfully

Bodyapplication/jsonArray [
session_idstringrequired

The identifier of the interaction with the user within the scope of the Hosted Payment Page

transaction_idstring

The transaction identifier in Ratepay

partner_transaction_idstring

The transaction identifier on the merchant side

shop_buyer_idstring

The buyer identifier on the merchant side

session_statusstringrequired

The current status of the record.
* CREATED - the session has just been created by the merchant, but the buyer still didn't do anything.
* IN_PROGRESS - the session is being processed by Ratepay.
* COMPLETED - the transaction has been successfully completed.
* ERROR - some processing error has happened (please refer to the field decline_reasons).
* EXPIRED - the buyer didn't take any action within 30 minutes.
* CANCELED - the buyer clicked on the cancel button.
* FRAUD_CANCELLATION_REQUESTED - Ratepay advises for this transaction to be canceled by the merchant.
* OTP_PENDING - the buyer has been requested to validate their phone number, and Ratepay is still waiting for the verification.

Enum"CREATED""IN_PROGRESS""COMPLETED""ERROR""EXPIRED""CANCELED""FRAUD_CANCELLATION_REQUESTED""OTP_PENDING"
decline_reasonsobject(DeclineDto)
created_datestring

The date and time when the status was first created

updated_datestring

The date and time when the status was last updated

]
Response
application/json
[ { "session_id": "string", "transaction_id": "string", "partner_transaction_id": "string", "shop_buyer_id": "string", "session_status": "CREATED", "decline_reasons": {}, "created_date": "string", "updated_date": "string" } ]

Retrieve a session record according to the session ID

Request

Security
Bearer Authentication
Path
sessionIdstringrequired

The session ID, as returned from the request to create sessions

curl -i -X GET \
  'https://payment-integration.ratepay.com/pps/api/v1/session-record/{sessionId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Session record returned successfully

Bodyapplication/json
session_idstringrequired

The identifier of the interaction with the user within the scope of the Hosted Payment Page

transaction_idstring

The transaction identifier in Ratepay

partner_transaction_idstring

The transaction identifier on the merchant side

shop_buyer_idstring

The buyer identifier on the merchant side

session_statusstringrequired

The current status of the record.
* CREATED - the session has just been created by the merchant, but the buyer still didn't do anything.
* IN_PROGRESS - the session is being processed by Ratepay.
* COMPLETED - the transaction has been successfully completed.
* ERROR - some processing error has happened (please refer to the field decline_reasons).
* EXPIRED - the buyer didn't take any action within 30 minutes.
* CANCELED - the buyer clicked on the cancel button.
* FRAUD_CANCELLATION_REQUESTED - Ratepay advises for this transaction to be canceled by the merchant.
* OTP_PENDING - the buyer has been requested to validate their phone number, and Ratepay is still waiting for the verification.

Enum"CREATED""IN_PROGRESS""COMPLETED""ERROR""EXPIRED""CANCELED""FRAUD_CANCELLATION_REQUESTED""OTP_PENDING"
decline_reasonsobject(DeclineDto)
created_datestring

The date and time when the status was first created

updated_datestring

The date and time when the status was last updated

Response
application/json
{ "session_id": "string", "transaction_id": "string", "partner_transaction_id": "string", "shop_buyer_id": "string", "session_status": "CREATED", "decline_reasons": { "category": "string", "reasons": [] }, "created_date": "string", "updated_date": "string" }
Operations